#!/bin/bash
#/opt/hsc/pegasus/codebase/vsm/mof/installvsmmof_hmc.sh
export PEGASUS_HOME=/var/lib/pegasus
CIMMOFL=/usr/bin/cimmofl

CLASS_NAMESPACE=root/ibmsd
REGISTRATION_NAMESPACE=root/PG_InterOp

# Class definitions
$CIMMOFL -aEV -w -R $PEGASUS_HOME -n $CLASS_NAMESPACE IBMP_HMC_VSMClasses.mof
$CIMMOFL -aEV -w -R $PEGASUS_HOME -n $CLASS_NAMESPACE IBMP_HMC_VRMClasses.mof
$CIMMOFL -aEV -w -R $PEGASUS_HOME -n $CLASS_NAMESPACE IBMP_HMC_MetricsClasses.mof

rc=$?

# Provider registration
if [ $rc -eq 0 ] ; then
    $CIMMOFL -aEV -w -R $PEGASUS_HOME -n $REGISTRATION_NAMESPACE IBMP_RegisteredProfile.mof
    $CIMMOFL -aEV -w -R $PEGASUS_HOME -n $REGISTRATION_NAMESPACE IBMP_ReferencedProfile.mof
    $CIMMOFL -aEV -w -R $PEGASUS_HOME -n $REGISTRATION_NAMESPACE IBMP_ElementConformsToProfile.mof
    $CIMMOFL -aEV -w -R $PEGASUS_HOME -n $REGISTRATION_NAMESPACE IBMP_MetricsProviderRegister.mof
    $CIMMOFL -aEV -w -R $PEGASUS_HOME -n $REGISTRATION_NAMESPACE IBMP_VirtualSystemManagementProvider.mof
    $CIMMOFL -aEV -w -R $PEGASUS_HOME -n $REGISTRATION_NAMESPACE IBMP_ResourceAllocationProfileProvider.mof
    rc=$?
fi
exit $rc

